<?php
declare(strict_types=1);

namespace PpPhp\Core\Platform\Event\Lifecycle\Designer;

use PpPhp\Core\Platform\Event\Lifecycle\LifecycleEvent;

final class ComponentAdded extends LifecycleEvent
{
    public function __construct(array $payload = [], array $metadata = [])
    {
        parent::__construct('platform.designer.component_added', 'designer', 'component_added', 'component', $payload, $metadata);
    }
}
